org.apache.solr.handler

## Class IndexFetcher

- java.lang.Object
- - org.apache.solr.handler.IndexFetcher

-     public class IndexFetcher
      extends Object

  Provides functionality of downloading changed index files as well as config files and a timer for scheduling fetches from the master.

  Since:
    solr 1.4

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `IndexFetcher.CompareResult`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `INDEX_PROPERTIES`
    `static String` | `REPLICATION_PROPERTIES`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IndexFetcher(NamedList initArgs, ReplicationHandler handler, SolrCore sc)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static IndexFetcher.CompareResult` | `compareFile(Directory indexDir, String filename, Long backupIndexFileLen, Long backupIndexFileChecksum)`
    `void` | `destroy()`
    `protected static boolean` | `modifyIndexProps(SolrCore solrCore, String tmpIdxDirName)` If the index is stale by any chance, load index from a different dir in the data dir.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INDEX_PROPERTIES

          public static final String INDEX_PROPERTIES

      See Also:
        Constant Field Values

    - #### REPLICATION_PROPERTIES

          public static final String REPLICATION_PROPERTIES

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### IndexFetcher

          public IndexFetcher(NamedList initArgs,
                              ReplicationHandler handler,
                              SolrCore sc)

  - ### Method Detail

    - #### compareFile

          protected static IndexFetcher.CompareResult compareFile(Directory indexDir,
                                                                  String filename,
                                                                  Long backupIndexFileLen,
                                                                  Long backupIndexFileChecksum)

    - #### modifyIndexProps

          protected static boolean modifyIndexProps(SolrCore solrCore,
                                                    String tmpIdxDirName)

      If the index is stale by any chance, load index from a different dir in the data dir.

    - #### destroy

          public void destroy()

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.